package org.jvnet.hifaces.binding;

import javax.faces.context.FacesContext;
import javax.faces.el.EvaluationException;
import javax.faces.el.PropertyNotFoundException;

/**
 * 
 * @author valikov
 */
public abstract class ObjectValueBinding extends ValueBinding {

  public Object getValue(FacesContext context)
      throws EvaluationException,
      PropertyNotFoundException {
    return get();
  }

  public abstract Object get();

  public void setValue(FacesContext context, Object value)
      throws EvaluationException,
      PropertyNotFoundException {
  }

  public boolean isReadOnly(FacesContext context)
      throws EvaluationException,
      PropertyNotFoundException {
    return true;
  }

  public Class getType(FacesContext context) throws EvaluationException, PropertyNotFoundException {
    return Object.class;
  }
}
