package org.jvnet.hifaces.binding.message;

import javax.faces.context.FacesContext;

import org.springframework.context.MessageSource;

public abstract class AbstractSingleMessageValueBinding extends AbstractMessageValueBinding {

  protected String getMessage(final FacesContext facesContext, final MessageSource messageSource) {
    final String messageId = getMessageId(facesContext);
    final Object[] arguments = getArguments(facesContext);
    return getMessage(facesContext, messageSource, messageId, arguments);
  }

  protected abstract String getMessageId(final FacesContext facesContext);
  
  protected Object[] getArguments(FacesContext facesContext) {
    return null;
  }
  

}
