package org.jvnet.hifaces.components.tabbedpane;

public class Constants {
	
	private Constants()
	{
	}
	
	private static final String PREFIX = "hifaces-tabbed-";
	
	public static final String DEFAULT_TABLE_STYLE_CLASS = PREFIX + "table";
	public static final String DEFAULT_LABELS_ROW_STYLE_CLASS = PREFIX + "labels-row";
	public static final String DEFAULT_CONTENTS_ROW_STYLE_CLASS = PREFIX + "contents-row";

	public static final String DEFAULT_PRE_COLUMN_STYLE_CLASS = PREFIX + "pre-column";
	public static final String DEFAULT_ACTIVE_COLUMN_STYLE_CLASS = PREFIX + "active-column";
	public static final String DEFAULT_MID_COLUMN_STYLE_CLASS = PREFIX + "mid-column";
	public static final String DEFAULT_INACTIVE_COLUMN_STYLE_CLASS = PREFIX + "inactive-column";
	public static final String DEFAULT_POST_COLUMN_STYLE_CLASS = PREFIX + "post-column";
	public static final String DEFAULT_CONTENT_COLUMN_STYLE_CLASS = PREFIX + "content-column";
}
