package org.jvnet.hifaces.function.impl;

import java.lang.reflect.Method;

import javax.faces.context.FacesContext;

import org.jvnet.hifaces.function.Function2;

public class Method1<R, T, P> extends Function2<R, T, P> {

	private static final long serialVersionUID = 1L;

	// TODO make serializable
	private final Method method;

	@SuppressWarnings("unchecked")
	public Method1(Method method) {
		super((Class<? extends R>) method.getClass());
		this.method = method;
	}

	@SuppressWarnings("unchecked")
	@Override
	public R call(T target, P arg) throws Exception {
		return (R) method.invoke(target, new Object[]{arg});
	}

	@SuppressWarnings("unchecked")
	@Override
	public R invoke(FacesContext facesContext, T target, P arg)
			throws Exception {
		return (R) method.invoke(target, new Object[]{arg});
	}
}
