package org.jvnet.hifaces.util;

import javax.faces.component.html.HtmlInputHidden;
import javax.faces.component.html.HtmlInputText;
import javax.faces.component.html.HtmlInputTextarea;

import org.apache.myfaces.custom.date.HtmlInputDate;
import org.jvnet.hifaces.renderkit.html.ext.HtmlTextareaRenderer;

public class InputUtils {

	private InputUtils() {

	}

	public static HtmlInputTextarea createInputTextarea() {
		final HtmlInputTextarea inputTextarea = new HtmlInputTextarea();
		IdUtils.assignId(inputTextarea);
		inputTextarea.setRendererType(HtmlTextareaRenderer.RENDERER_TYPE);
		return inputTextarea;
	}

	public static HtmlInputHidden createInputHidden() {
		final HtmlInputHidden inputHidden = new HtmlInputHidden();
		IdUtils.assignId(inputHidden);
		return inputHidden;
	}

	public static HtmlInputText createInputText() {
		final HtmlInputText inputText = new HtmlInputText();
		IdUtils.assignId(inputText);
		return inputText;
	}

	public static HtmlInputDate createInputDate() {
		final HtmlInputDate inputDate = new HtmlInputDate();
		IdUtils.assignId(inputDate);
		return inputDate;
	}

}
